/*
 * Class NATIVE_STRING_HANDLER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_616 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_616 [] = {0xFF01,1551,615,0xFFFF};
static const EIF_TYPE_INDEX egt_2_616 [] = {0xFF01,615,0xFFFF};
static const EIF_TYPE_INDEX egt_3_616 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_616 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_616 [] = {0xFF01,615,0xFFFF};
static const EIF_TYPE_INDEX egt_6_616 [] = {0xFF01,615,0xFFFF};
static const EIF_TYPE_INDEX egt_7_616 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_616 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_616 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_616 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_616 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_616 [] = {0xFF01,615,0xFFFF};


static const struct desc_info desc_616[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_616), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_616), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_616), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_616), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_616), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_616), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_616), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_616), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_616), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_616), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_616), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_616), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04CF /*615*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_616), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 14924, 0xFFFFFFFF},
};
void Init616(void)
{
	IDSC(desc_616, 0, 615);
	IDSC(desc_616 + 1, 1, 615);
	IDSC(desc_616 + 32, 1607, 615);
}


#ifdef __cplusplus
}
#endif
